//Ex4_20.cpp
#include "iostream" 
#include "iomanip" 
using namespace std;
#define N 6
void main() 
{int i,j,a[N][N];
 for(i=0;i<N;i++)    
 {a[i][i]=1;a[i][0]=1;}     //对a数组的第一列和对角线元素赋值为1
 for(i=2;i<N;i++)         //对除第一列和对角线之外的元素赋值
   for(j=1;j<=i-1;j++)
      a[i][j]=a[i-1][j-1]+a[i-1][j];
 for(i=0;i<N;i++)
	{for(j=0;j<=i;j++)    //注意条件j<=i表示只输出a数组的左下三角形部分
     cout<<setw(5)<<a[i][j]; 
     cout<<endl;}
}
